ONIONBALANCE-CONFIG(1)

NAME
onionbalance-config - tool for generating onionbalance config files and keys

DESCRIPTION

The onionbalance-config tool is the fastest way to generate the necessary keys and config files to get your onion service up and running.

$ onionbalance-config

When called without any arguments, the config generator will run in an interactive mode and prompt for user input.

The master directory should be stored on the management server while the other instance directories should be transferred to the respective backend servers.

COMMAND-LINE OPTIONS

  onionbalance-config

onionbalance distributes the requests for a Tor hidden services across multiple Tor instances.

usage: onionbalance-config [-h] [-i IP] [-p PORT] [-c CONFIG] [-v VERBOSITY]
                        [--version]

-h, --help
    show this help message and exit

-i <ip>, --ip <ip>
    Tor controller IP address

-p <port>, --port <port>
    Tor controller port

-c <config>, --config <config>
    Config file location

-v <verbosity>, --verbosity <verbosity>
    Minimum verbosity level for logging. Available in ascending order: debug, info, warning, error, critical). The default is info.

--version
    show program's version number and exit

FILES

master/config.yaml
    This is the configuration file that is used my the OnionBalance management server.

master/<ONION_ADDRESS>.key
    The private key which will become the public address and identity for your hidden service. It is essential that you keep this key secure.

master/torrc-server
    A sample Tor configuration file which can be used with the Tor instance running on the management server.

srv/torrc-instance
    A sample Tor config file which contains the Tor HiddenService* options needed for your backend Tor instance.

srv/<ONION_ADDRESS>/private_key
    Directory containing the private key for you backend hidden service instance. This key is less critical as it can be rotated if lost or compromised.

SEE ALSO

Full documentation for the OnionBalance software is available at https://onionbalance.readthedocs.org/

AUTHOR
Donncha O'Cearbhaill <donncha@donncha.is>